<?php 

/*------------------------------------------------------------------------
# com_finances - Invoices for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 JoomlaInvoices.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.JoomlaInvoices.com
# Technical Support:	Forum - http://www.JoomlaInvoices.com/forum
-------------------------------------------------------------------------*/

//no direct access
defined('_JEXEC') or die('Restricted access.');

JHtmlBehavior::framework();
JHTML::_('behavior.formvalidation');

$document =& JFactory::getDocument();

$modal = JRequest::getVar('modal') ;

$class0 = "";
$class1 = "active btn-danger";
$checked0 = "" ;
$checked1 = "checked='checked'" ;
		
if($this->item->id){
	if($this->item->amount < 0){
		$class0 = "active btn-success";
		$class1 = "";
		$checked0 = "checked='checked'" ;
		$checked1 = "" ;
		$this->item->amount = abs($this->item->amount);
	}
	else{
		
		$class0 = "";
		$class1 = "active btn-danger";
		$checked0 = "" ;
		$checked1 = "checked='checked'" ;
	}
}

$js = "
function change_sign(sign,id){
	var other_sign = 1 ;
	if(sign) other_sign = 0 ;
	
	$('sign'+sign+'button'+id).addClass('active');
	$('sign'+other_sign+'button'+id).removeClass('active');
	
	if(sign){
		$('sign1button'+id).addClass('btn-danger');
		$('sign0button'+id).removeClass('btn-success');
	}
	else{
		$('sign1button'+id).removeClass('btn-danger');
		$('sign0button'+id).addClass('btn-success');
	}
}
" ;

$document->addScriptDeclaration($js);

$document->addScript('components/com_finances/assets/validate.js');
$params = &JComponentHelper::getParams( 'com_finances' );
error_reporting(E_ERROR);
?>

<div class="page-header"><strong><?php echo $this->item->id ? $this->item->name : JText::_( 'NEW_ITEM' ); ?></strong></div>
  <form action="/index.php" method="post" name="itemForm" id="itemForm" enctype="multipart/form-data" class="form-validate form-horizontal">
  <div class="control-group " id="amount_toolbar">
    <div id="sign_group" class=" btn-group btn-toolbar">
      <label for="sign0<?php echo $this->item->id; ?>" class="btn <?php echo $class0; ?>" id="sign0button<?php echo $this->item->id; ?>" onclick="change_sign(0,<?php echo $this->item->id; ?>)">+</label>
      <label for="sign1<?php echo $this->item->id; ?>" class="btn <?php echo $class1; ?>" id="sign1button<?php echo $this->item->id; ?>" onclick="change_sign(1,<?php echo $this->item->id; ?>)">-</label>
    </div>
    <div class="radio ">
      <input type="radio" id="sign0<?php echo $this->item->id; ?>" name="sign" value="0" <?php echo $checked0; ?>/>
      <input type="radio" id="sign1<?php echo $this->item->id; ?>" name="sign" value="1" <?php echo $checked1; ?>/>
    </div>
    <div class="input-prepend input-append">
      <?php if($this->params->get('currency1')){ ?>
      <span class="add-on"><?php echo $this->params->get('currency1'); ?></span>
      <?php } ?>
      <input type="text" name="amount" id="amount" class="inputbox required input-small" size="10" value="<?php echo $this->item->amount;?>" placeholder="<?php echo JText::_( 'ITEM_AMOUNT' ); ?>">
      <?php if($this->params->get('currency2')){ ?>
      <span class="add-on"><?php echo $this->params->get('currency2'); ?></span>
      <?php } ?>
    </div>
    <input class="inputbox" type="text" name="name" id="name" size="50" maxlength="255" value="<?php echo $this->item->name;?>" placeholder="<?php echo JText::_( 'ITEM_NAME' ); ?>" />
    <?php
		  if(JRequest::getVar('modal')){ ?>
    <input class="inputbox date_item" type="text" name="date_item" id="date_item" size="50" maxlength="255" value="<?php echo $this->item->date_item;?>" placeholder="<?php echo JText::_( 'DATE' ); ?>" />
    <?php }else{ ?>
    <div class="input-append"> <?php echo JHTML::calendar($this->item->date_item, "date_item", "date_item", "%Y-%m-%d", array("class" => "inputbox date_item input-medium", "placeholder" => JText::_( 'DATE' ))); ?>
      <!--button class="btn" type="button" id="date_new_button"><i class="icon-calendar"></i></button-->
    </div>
    <?php } ?>
  </div>
  <div class="control-group">
    <select name="category_id" id="category_id_form" class="chzn-select">
      <?php
			for ($i=0, $n=count( $this->categories );$i < $n; $i++)	{
			$row = &$this->categories[$i];
			$selected = ""; 
			if($row->id == $this->item->category_id) $selected = "selected";?>
      <option <?php echo $selected;?> value="<?php echo $row->id;?>"><?php echo $row->name;?></option>
      <?php } ?>
    </select>
    <select name="project_id" id="project_id_form" class="chzn-select">
      <?php
			for ($i=0, $n=count( $this->projects );$i < $n; $i++)	{
			$row = &$this->projects[$i];
			$selected = ""; 
			if($row->id == $this->item->project_id) $selected = "selected";?>
      <option <?php echo $selected;?> value="<?php echo $row->id;?>"><?php echo $row->name;?></option>
      <?php } ?>
    </select>
    <button type="submit" class="btn btn-primary"><i class="icon-ok icon-white"></i> <?php echo JText::_('SAVE_ITEM'); ?></button>
    <span class="showsaving" style="display:none;"><?php echo JText::_('SAVING_ITEM'); ?></span> </div>
  <input type="hidden" name="option" value="com_finances" />
  <input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
  <input type="hidden" name="task" value="save_item" />
  <input type="hidden" name="Itemid" value="<?php echo $params->get('itemid'); ?>" />
</form>


